import request from '@/utils/request'

export function GetHisPatientList(params){
  return request({
    url:'/m/api/hispatientlist/get',
    method:'get',
    params:params,
  })
}
export function GetHisPrescriptionConfig(params){
  return request({
    url:'/m/api/prescriptionconfig/get',
    method:'get',
    params:params,
  })
}
export function GetHisPatientInfo(params){
  return request({
    url:'/m/api/prescriptioninfo/get',
    method:'get',
    params:params,
  })
}
export function GetCallHisPrescription(params){
  return request({
    url:'/m/api/prescription/call',
    method:'get',
    params:params,
  })
}
export function GetLastOrNextHisPrescription(params){
  return request({
    url:'/m/api/lastornextprescription/get',
    method:'get',
    params:params,
  })
}
export function DeletePrescription(params){
  return request({
    url:'/m/api/prescription/delete',
    method:'POST',
    params:params,
  })
}
export function DeleteDoctorAdvice(params){
  return request({
    url:'/m/api/hisdoctoradvice/delete',
    method:'POST',
    params:params,
  })
}
export function DeleteProject(params){
  return request({
    url:'/m/api/hisproject/delete',
    method:'POST',
    params:params,
  })
}
export function CreateHisPrescription(data,params){
  return request({
    url:'/m/api/prescription/create',
    method:'POST',
    data:data,
    params:params,
  })
}
